package core;

import io.dropwizard.Configuration;

import java.util.List;

/**
 * Created by gpietrus on 16.02.16.
 */
public class ApplicationConfiguration extends Configuration {
    private String dbHost;
    private int dbPort;
    private String dbName;

    private String flagHashMethod;

    private List<String> users;

    public String getFlagHashMethod() {
        return flagHashMethod;
    }

    public List<String> getUsers() {
        return users;
    }

    public void setUsers(List<String> users) {
        this.users = users;
    }

    public void setFlagHashMethod(String flagHashMethod) {
        this.flagHashMethod = flagHashMethod;
    }

    public String getDbHost() {
        return dbHost;
    }

    public void setDbHost(String dbHost) {
        this.dbHost = dbHost;
    }

    public int getDbPort() {
        return dbPort;
    }

    public void setDbPort(int dbPort) {
        this.dbPort = dbPort;
    }

    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }
}
